CREATE FUNCTION [dbo].[Replace_From_Email]
(
	@RETE as varchar(1) = '',
	@FROM as varchar(100) = ''
)
RETURNS varchar(5000)
AS
BEGIN
	DECLARE @FROM_DI_RITORNO as varchar(255)
	SET @FROM_DI_RITORNO = @FROM;
	IF @RETE = 'S'
		BEGIN
			SET @FROM_DI_RITORNO = REPLACE(@FROM_DI_RITORNO,'/$SERVIZIO_CONTRATTO6$/','Servizio.ContrattoSEI@Spinvest.com');
		END
		--immissione rete iwb
	IF @RETE = 'W'
		BEGIN
			SET @FROM_DI_RITORNO = REPLACE(@FROM_DI_RITORNO,'/$SERVIZIO_CONTRATTO6$/','Servizio.ContrattoSEI@iwprivateinvestments.it');
		END
	ELSE
		BEGIN
			--modifica del 16/3/2017 su richiesta di Casoli - Modifica dellindirizzo
			--SET @FROM_DI_RITORNO = REPLACE(@FROM_DI_RITORNO,'/$SERVIZIO_CONTRATTO6$/','Servizio.ContrattoSEI@BancaFideuram.it');
			SET @FROM_DI_RITORNO = REPLACE(@FROM_DI_RITORNO,'/$SERVIZIO_CONTRATTO6$/','Servizio.ContrattoSEI@Fideuram.it');
			-- fine modifica del 16/3/2017
		END
	RETURN @FROM_DI_RITORNO
END